##  for PCLinuxOS  ##

%define fcitx5_ver 5.0.22
%define fcitx5_qt_ver 5.0.17

Name:    fcitx5-configtool
Summary: Configuration tool for fcitx5
Version: 5.0.17
Release: 1.nora23
Group:   System/Internationalization
License: GPL-2.0-or-later
Url:     https://github.com/fcitx/fcitx5-configtool
Source0: %{name}-%{version}.tar.xz

BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: extra-cmake-modules
BuildRequires: fcitx5-devel >= %{fcitx5_ver}
BuildRequires: fcitx5-qt-devel >= %{fcitx5_qt_ver}
BuildRequires: %{_lib}qt5base5-devel
BuildRequires: %{_lib}qt5x11extras-devel
BuildRequires: %{_lib}kitemviews-devel
BuildRequires: %{_lib}kf5widgetsaddons-devel
BuildRequires: %{_lib}kcoreaddons-devel
BuildRequires: %{_lib}kf5i18n-devel
BuildRequires: %{_lib}kf5package-devel
BuildRequires: %{_lib}kf5declarative-devel
BuildRequires: %{_lib}kf5plasma-devel
BuildRequires: kirigami-devel
BuildRequires: %{_lib}xkbfile-devel
BuildRequires: %{_lib}xkbcommon-devel
BuildRequires: iso-codes
BuildRequires: libxcb-devel
BuildRequires: gettext-devel
Requires: fcitx5 >= %{fcitx5_ver}

%description
Configuration tool for fcitx5

# ---------------------------------------------------------------

%package -n kcm-fcitx5
Summary:  Config tools for fcitx5 to be used on KDE based environment.
Requires: fcitx5 >= %{fcitx5_ver}
Requires: kcmutils
Suggests: %{name} = %{version}-%{release}

%description -n kcm-fcitx5
Config tools for fcitx5 to be used on KDE based environment. 
Can be installed seperately.

# ---------------------------------------------------------------

%package -n fcitx5-migrator
Summary:  Migration tools for fcitx5
Requires: %{name} = %{version}-%{release}

%description -n fcitx5-migrator
Migration tools for fcitx5, containing fcitx5-migrator

# ---------------------------------------------------------------

%package -n fcitx5-migrator-devel
Summary:  Devel files for fcitx5-migrator
Requires: fcitx5-migrator = %{version}-%{release}

%description -n fcitx5-migrator-devel
Development files for fcitx5-migrator

# ---------------------------------------------------------------

%prep
%setup -q


%build
%cmake
%cmake_build


%install
rm -rf $RPM_BUILD_ROOT
%cmake_install

desktop-file-install --delete-original --vendor="" \
 --add-category="X-MandrivaLinux-System-Configuration" \
 --dir $RPM_BUILD_ROOT%{_datadir}/applications \
 $RPM_BUILD_ROOT%{_datadir}/applications/org.fcitx.fcitx5-*.desktop

%find_lang org.fcitx.fcitx5.kcm
%find_lang %{name}


%files -f %{name}.lang 
%doc README LICENSES
%{_bindir}/fcitx5-config-qt
%{_bindir}/kbd-layout-viewer5
%{_datadir}/applications/kbd-layout-viewer5.desktop
%{_datadir}/applications/org.fcitx.fcitx5-config-qt.desktop

%files -n kcm-fcitx5 -f org.fcitx.fcitx5.kcm.lang 
%doc LICENSES
%{_bindir}/fcitx5-plasma-theme-generator
%{_libdir}/qt5/plugins/kcms/kcm_fcitx5.so
%{_datadir}/kpackage/kcms/
%{_datadir}/kservices5/kcm_fcitx5.desktop
%{_datadir}/metainfo/org.fcitx.fcitx5.kcm.appdata.xml

%files -n fcitx5-migrator
%{_bindir}/fcitx5-migrator
%{_libdir}/libFcitx5Migrator.so.5*
%{_datadir}/applications/org.fcitx.fcitx5-migrator.desktop

%files -n fcitx5-migrator-devel
%{_libdir}/libFcitx5Migrator.so


%changelog
* Sun Mar 12 2023 tomcat <> 5.0.17-1.nora23
- 5.0.17
- build with fcitx5-5.0.22 and fcitx5-qt-5.0.17

* Wed Nov 23 2022 tomcat <> 5.0.16-1.nora22
- 5.0.16
- build with fcitx5-5.0.20 and fcitx5-qt-5.0.16

* Tue Aug 30 2022 tomcat <> 5.0.15-1.nora22
- 5.0.15

* Fri Jul 08 2022 tomcat <> 5.0.14-1.nora22
- 5.0.14
- update %%files of kcm-fcitx5

* Tue May 24 2022 tomcat <> 5.0.13-1.nora22
- 5.0.13

* Sat Mar 12 2022 tomcat <> 5.0.12-1.nora22
- 5.0.12

* Tue Feb 08 2022 tomcat <> 5.0.11-1.nora22
- 5.0.11

* Sun Jan 02 2022 tomcat <> 5.0.10-1.nora22
- 5.0.10

* Mon Dec 06 2021 tomcat <> 5.0.9-1.nora21
- 5.0.9

* Tue Nov 09 2021 tomcat <> 5.0.8-1.nora21
- 5.0.8

* Mon Sep 27 2021 tomcat <> 5.0.6-1.nora21
- 5.0.6

* Fri May 07 2021 tomcat <> 5.0.5-1.nora21
- 5.0.5

* Mon Mar 22 2021 tomcat <> 5.0.4-1.nora21
- 5.0.4
- split subpackage fcitx5-migrator containing migration tools

* Sat Feb 20 2021 tomcat <> 5.0.3-1.nora21
- 5.0.3
- update desktop files

* Tue Jan 12 2021 tomcat <> 5.0.2-1.nora21
- 5.0.2

* Tue Jan 05 2021 tomcat <> 5.0.1-1.nora21
- 5.0.1
